Create a toolset
curl --request POST \
--url https://api.matrices.com/v1/toolsets \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"namespace": "<string>",
"description": "<string>",
"tools": [
{
"name": "<string>",
"description": "<string>",
"inputSchema": {},
"outputSchema": {},
"timeoutMs": 123
}
],
"url": "<string>"
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
namespace: '<string>',
description: '<string>',
tools: [
{
name: '<string>',
description: '<string>',
inputSchema: {},
outputSchema: {},
timeoutMs: 123
}
],
url: '<string>'
})
};
fetch('https://api.matrices.com/v1/toolsets', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.matrices.com/v1/toolsets"
payload = {
"namespace": "<string>",
"description": "<string>",
"tools": [
{
"name": "<string>",
"description": "<string>",
"inputSchema": {},
"outputSchema": {},
"timeoutMs": 123
}
],
"url": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.matrices.com/v1/toolsets"
payload := strings.NewReader("{\n \"namespace\": \"<string>\",\n \"description\": \"<string>\",\n \"tools\": [\n {\n \"name\": \"<string>\",\n \"description\": \"<string>\",\n \"inputSchema\": {},\n \"outputSchema\": {},\n \"timeoutMs\": 123\n }\n ],\n \"url\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"toolset": {
"createdAt": "2023-11-07T05:31:56Z",
"createdBy": {
"id": "<string>",
"type": "user",
"identity": "<string>",
"origin": {
"provider": "slack",
"senderId": "<string>",
"tenantId": "<string>",
"channelId": "<string>",
"messageId": "<string>",
"threadId": "<string>"
}
},
"description": "<string>",
"id": "<string>",
"namespace": "<string>",
"type": "mcp",
"workspaceId": "<string>",
"auth": {
"mode": "open",
"probedAt": "2023-11-07T05:31:56Z",
"issuer": "<string>",
"resource": "<string>"
},
"tools": [
{
"name": "<string>",
"description": "<string>",
"inputSchema": {},
"outputSchema": {},
"timeoutMs": 123
}
],
"url": "<string>"
}
}{
"toolset": {
"createdAt": "2023-11-07T05:31:56Z",
"createdBy": {
"id": "<string>",
"type": "user",
"identity": "<string>",
"origin": {
"provider": "slack",
"senderId": "<string>",
"tenantId": "<string>",
"channelId": "<string>",
"messageId": "<string>",
"threadId": "<string>"
}
},
"description": "<string>",
"id": "<string>",
"namespace": "<string>",
"type": "mcp",
"workspaceId": "<string>",
"auth": {
"mode": "open",
"probedAt": "2023-11-07T05:31:56Z",
"issuer": "<string>",
"resource": "<string>"
},
"tools": [
{
"name": "<string>",
"description": "<string>",
"inputSchema": {},
"outputSchema": {},
"timeoutMs": 123
}
],
"url": "<string>"
}
}{
"operation": {
"action": "<string>",
"agentId": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"expiresAt": "2023-11-07T05:31:56Z",
"id": "<string>",
"state": "pending",
"resolvedAt": "2023-11-07T05:31:56Z",
"resolvedBy": {
"id": "<string>",
"type": "user",
"identity": "<string>",
"origin": {
"provider": "slack",
"senderId": "<string>",
"tenantId": "<string>",
"channelId": "<string>",
"messageId": "<string>",
"threadId": "<string>"
}
},
"result": {
"status": 349,
"body": "<unknown>"
}
}
}{
"error": "<string>",
"message": "<string>",
"attemptsRemaining": 123,
"code": "<string>",
"retryAfterSeconds": 123
}{
"error": "<string>",
"message": "<string>",
"attemptsRemaining": 123,
"code": "<string>",
"retryAfterSeconds": 123
}Toolsets
Create a toolset
POST
/
v1
/
toolsets
Create a toolset
curl --request POST \
--url https://api.matrices.com/v1/toolsets \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"namespace": "<string>",
"description": "<string>",
"tools": [
{
"name": "<string>",
"description": "<string>",
"inputSchema": {},
"outputSchema": {},
"timeoutMs": 123
}
],
"url": "<string>"
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
namespace: '<string>',
description: '<string>',
tools: [
{
name: '<string>',
description: '<string>',
inputSchema: {},
outputSchema: {},
timeoutMs: 123
}
],
url: '<string>'
})
};
fetch('https://api.matrices.com/v1/toolsets', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.matrices.com/v1/toolsets"
payload = {
"namespace": "<string>",
"description": "<string>",
"tools": [
{
"name": "<string>",
"description": "<string>",
"inputSchema": {},
"outputSchema": {},
"timeoutMs": 123
}
],
"url": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.matrices.com/v1/toolsets"
payload := strings.NewReader("{\n \"namespace\": \"<string>\",\n \"description\": \"<string>\",\n \"tools\": [\n {\n \"name\": \"<string>\",\n \"description\": \"<string>\",\n \"inputSchema\": {},\n \"outputSchema\": {},\n \"timeoutMs\": 123\n }\n ],\n \"url\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"toolset": {
"createdAt": "2023-11-07T05:31:56Z",
"createdBy": {
"id": "<string>",
"type": "user",
"identity": "<string>",
"origin": {
"provider": "slack",
"senderId": "<string>",
"tenantId": "<string>",
"channelId": "<string>",
"messageId": "<string>",
"threadId": "<string>"
}
},
"description": "<string>",
"id": "<string>",
"namespace": "<string>",
"type": "mcp",
"workspaceId": "<string>",
"auth": {
"mode": "open",
"probedAt": "2023-11-07T05:31:56Z",
"issuer": "<string>",
"resource": "<string>"
},
"tools": [
{
"name": "<string>",
"description": "<string>",
"inputSchema": {},
"outputSchema": {},
"timeoutMs": 123
}
],
"url": "<string>"
}
}{
"toolset": {
"createdAt": "2023-11-07T05:31:56Z",
"createdBy": {
"id": "<string>",
"type": "user",
"identity": "<string>",
"origin": {
"provider": "slack",
"senderId": "<string>",
"tenantId": "<string>",
"channelId": "<string>",
"messageId": "<string>",
"threadId": "<string>"
}
},
"description": "<string>",
"id": "<string>",
"namespace": "<string>",
"type": "mcp",
"workspaceId": "<string>",
"auth": {
"mode": "open",
"probedAt": "2023-11-07T05:31:56Z",
"issuer": "<string>",
"resource": "<string>"
},
"tools": [
{
"name": "<string>",
"description": "<string>",
"inputSchema": {},
"outputSchema": {},
"timeoutMs": 123
}
],
"url": "<string>"
}
}{
"operation": {
"action": "<string>",
"agentId": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"expiresAt": "2023-11-07T05:31:56Z",
"id": "<string>",
"state": "pending",
"resolvedAt": "2023-11-07T05:31:56Z",
"resolvedBy": {
"id": "<string>",
"type": "user",
"identity": "<string>",
"origin": {
"provider": "slack",
"senderId": "<string>",
"tenantId": "<string>",
"channelId": "<string>",
"messageId": "<string>",
"threadId": "<string>"
}
},
"result": {
"status": 349,
"body": "<unknown>"
}
}
}{
"error": "<string>",
"message": "<string>",
"attemptsRemaining": 123,
"code": "<string>",
"retryAfterSeconds": 123
}{
"error": "<string>",
"message": "<string>",
"attemptsRemaining": 123,
"code": "<string>",
"retryAfterSeconds": 123
}Authorizations
APIKeyBearerAgentLeaseBearer
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Response
Replayed toolset creation.
Show child attributes
Show child attributes